## pegasus-wms 4.4.0+dfsg

=== requirements.txt ===
requests
mock
