=== contrib/wfprof/old/Makefile ===
CC = gcc
CFLAGS = -Wall
TARGET = pprof

all: $(TARGET)

pprof: pprof.o

clean:
	rm -f *.o $(TARGET)
