=== debian/changelog ===
pegasus-wms (4.4.0+dfsg-8) unstable; urgency=medium

  * QA upload.
  * Switch from libmysql-java to libmariadb-java.
  * Declare compliance with Debian Policy 4.2.1.
  * Fix Lintian error wrong-path-for-interpreter.

 -- Markus Koschany <apo@debian.org>  Fri, 09 Nov 2018 14:12:40 +0100

pegasus-wms (4.4.0+dfsg-7) unstable; urgency=medium

  * QA upload.
  * Set JAVA_HOME to point to default-jdk.
    Thanks to Chris West for the report. (Closes: #875778)
  * Use compat level 11.
  * Use secure homepage address.
  * Declare compliance with Debian Policy 4.1.3.

 -- Markus Koschany <apo@debian.org>  Wed, 24 Jan 2018 21:04:00 +0100

pegasus-wms (4.4.0+dfsg-6) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS when building Arch:all only (closes: #845125).

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 07 Dec 2016 08:34:57 +0100

pegasus-wms (4.4.0+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Set the maintainer to the QA team.
  * Depend on default-jdk / default-jre (closes: #814170).
  * Fix a bashism in pbs_local_submit_attributes.sh (closes: #772348).
  * Drop all -m64, fixes FTBFS on x32.
  * Force javadoc encoding to UTF-8.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 12 Feb 2016 12:34:12 +0100

pegasus-wms (4.4.0+dfsg-4) unstable; urgency=low

  * Worked with upstream on enabling the hardening flags to
    propagate. The fix is shipped as a quilt patch in this
    upload.
  * Added another patch for GNU/kFreeBSD.

 -- Mats Rynge <mats@rynge.net>  Wed, 30 Jul 2014 11:30:10 -0700

pegasus-wms (4.4.0+dfsg-3) unstable; urgency=low

  * Added a patch for GNU/kFreeBSD

 -- Mats Rynge <mats@rynge.net>  Tue, 29 Jul 2014 15:38:57 -0700

pegasus-wms (4.4.0+dfsg-2) unstable; urgency=low

  * Added missing dependencies to control
  * Disabled the build of pegasus-mpi-cluster

 -- Mats Rynge <mats@rynge.net>  Tue, 29 Jul 2014 11:33:00 -0700

pegasus-wms (4.4.0+dfsg-1) unstable; urgency=low

  * Updated to upstream version 4.4.0
  * Added a patch to change the default worker package to Debian

 -- Mats Rynge <mats@rynge.net>  Mon, 28 Jul 2014 16:21:00 -0700
