=== debian/control ===
Source: pegasus-wms
Section: science
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 11),
               default-jdk,
               ant,
               docbook-xsl,
               docbook-xml,
               asciidoc,
               xsltproc,
               fop,
               perl,
               python,
               python-dev,
               libcommons-logging-java,
               libcommons-pool-java,
               libgetopt-java,
               liblog4j1.2-java,
               libmariadb-java,
               libxml-commons-resolver1.1-java,
               libxerces2-java,
               libxmlrpc3-common-java,
               libjglobus-gss-java,
               libjglobus-jsse-java,
               libjglobus-ssl-proxies-java,
               libjglobus-gridftp-java,
               libjglobus-gram-java,
               libgoogle-gson-java
Standards-Version: 4.2.1
Homepage: https://pegasus.isi.edu

Package: pegasus-wms
Architecture: any
Depends: default-jre,
         perl,
         python,
         python-boto,
         python-sqlalchemy,
         libcommons-logging-java,
         libcommons-pool-java,
         libgetopt-java,
         liblog4j1.2-java,
         libmariadb-java,
         libxml-commons-resolver1.1-java,
         libxerces2-java,
         libxmlrpc3-common-java,
         libjglobus-gss-java,
         libjglobus-jsse-java,
         libjglobus-ssl-proxies-java,
         libjglobus-gridftp-java,
         libjglobus-gram-java,
         libgoogle-gson-java,
         ${shlibs:Depends}, ${misc:Depends}
Recommends: htcondor
Suggests: pegasus-wms-doc
Description: Scientific workflow management system for HTCondor
 The Pegasus project encompasses a set of technologies the help
 workflow-based applications execute in a number of different
 environments including desktops, campus clusters, grids, and now
 clouds. Scientific workflows allow users to easily express
 multi-step computations, for example retrieve data from a
 database, reformat the data, and run an analysis. Once an
 application is formalized as a workflow the Pegasus Workflow
 Management Service can map it onto available compute resources
 and execute the steps in appropriate order.

Package: pegasus-wms-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: pegasus-wms
Description: Scientific workflow management system for HTCondor - documentation files
 The Pegasus project encompasses a set of technologies the help
 workflow-based applications execute in a number of different
 environments including desktops, campus clusters, grids, and now
 clouds. Scientific workflows allow users to easily express
 multi-step computations, for example retrieve data from a
 database, reformat the data, and run an analysis. Once an
 application is formalized as a workflow the Pegasus Workflow
 Management Service can map it onto available compute resources
 and execute the steps in appropriate order.
 .
 This package contains the user documentation.
